name: 'Shawn Headrick'
info:
  label: 'Senior Software Engineer'
  image: ./face.png
  brief: 'Software engineer with (DateTime.Now.Year - 2006) years experience building enterprise-level applications utilizing the Microsoft .NET development stack and the Node.js ecosystem.'
contact:
  email: shawn_headrick@yahoo.com
  phone: 630-781-3084
  website: 'https://about.me/shawn.headrick'
meta:
  format: FRESH@^1.0.0-beta
  modified: '2024-05-19T03:39:12.797Z'
location:
  city: Batavia
  region: Illinois
  country: 'United States'
employment:
  history:
    -
      position: 'Senior Software Engineer'
      employer: 'Cengage Group'
      summary: ""
      current: true
      start: '2019-06-03'
      url: 'https://www.cengagegroup.com'
      keywords: []
      highlights: []
    -
      position: 'Software Engineer'
      employer: 'Cengage Group'
      summary: ""
      start: '2010-04-05'
      end: '2019-06-02'
      url: 'https://www.cengagegroup.com'
      keywords: []
      highlights: []
    -
      position: 'Software Developer'
      employer: 'Applied Systems'
      summary: ""
      start: '2006-03-06'
      end: '2010-04-02'
      url: 'https://www.appliedsystems.com'
      keywords: []
      highlights: []
education:
  level: ""
  history:
    -
      institution: 'University of Illinois, Urbana-Champaign'
      start: '2001-08-21'
      end: '2005-05-23'
      curriculum: []
      url: 'https://www.illinois.edu'
      summary: ""
      area: 'Computer Science'
      studyType: 'Bachelor''s Degree'
    -
      institution: 'University of Illinois, Urbana-Champaign'
      start: '2001-08-21'
      end: '2005-05-23'
      curriculum: []
      url: 'https://www.illinois.edu'
      summary: ""
      area: 'Business Administration'
      studyType: Minor
service: {}
skills:
  sets:
    -
      name: 'Back-End Development'
      level: Advanced
      skills:
        - .NET
        - '.NET Core'
        - 'C#'
        - Node.js
        - REST
        - OpenAPI
        - Swagger
        - WCF
        - 'Microsoft SQL Server'
    -
      name: 'Front-End Development'
      level: Intermediate
      skills:
        - HTML
        - CSS
        - JavaScript
        - TypeScript
        - 'ASP.NET MVC'
        - React
writing: []
social:
  -
    label: LinkedIn
    network: LinkedIn
    url: 'https://www.linkedin.com/in/shawnheadrick/'
    user: shawnheadrick
  -
    label: GitHub
    network: GitHub
    url: 'https://www.github.com/IronManRust'
    user: IronManRust
interests: []
testimonials: 0
languages:
  -
    language: English
    fluency: 'Native Speaker'
